'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var axios = require('axios');
var superjson = require('superjson');

function _interopDefault (e) { return e && e.__esModule ? e : { 'default': e }; }

var axios__default = /*#__PURE__*/_interopDefault(axios);
var superjson__default = /*#__PURE__*/_interopDefault(superjson);

const defaults = {
  async request(param) {
    const enableSuperjson = param.meta && param.meta.superjson;

    try {
      const response = await axios__default['default']({ ...param,
        baseURL: defaults.baseURL
      });

      if (response) {
        return enableSuperjson ? superjson__default['default'].parse(response.data) : response.data;
      }

      return response;
    } catch (error) {
      if (enableSuperjson) {
        const e = error;
        throw e.response.data;
      }

      throw error;
    }
  },

  baseURL: ''
};
function request(param) {
  return defaults.request(param);
}

exports.defaults = defaults;
exports.request = request;
