import axios from 'axios';
import superjson from 'superjson';

const defaults = {
  async request(param) {
    const enableSuperjson = param.meta && param.meta.superjson;

    try {
      const response = await axios({ ...param,
        baseURL: defaults.baseURL
      });

      if (response) {
        return enableSuperjson ? superjson.parse(response.data) : response.data;
      }

      return response;
    } catch (error) {
      if (enableSuperjson) {
        const e = error;
        throw e.response.data;
      }

      throw error;
    }
  },

  baseURL: ''
};
function request(param) {
  return defaults.request(param);
}

export { defaults, request };
